# eric7.Plugins.VcsPlugins.vcsMercurial.LargefilesExtension.ProjectBrowserHelper

Module implementing the largefiles extension project browser helper.

### Global Attributes

None

### Classes

LargefilesProjectBrowserHelper | Class implementing the largefiles extension project browser helper.

### Functions

None

## LargefilesProjectBrowserHelper

Class implementing the largefiles extension project browser helper.

### Derived from

HgExtensionProjectBrowserHelper

### Class Attributes

None

### Class Methods

None

### Methods

LargefilesProjectBrowserHelper | Constructor
__hgAddLargefiles | Private slot to add the selected files as large files.
initMenus | Public method to generate the extension menus.
menuTitle | Public method to get the menu title.
showExtensionMenu | Public method to prepare the extension menu for display.

### Static Methods

None

#### LargefilesProjectBrowserHelper (Constructor)

LargefilesProjectBrowserHelper(vcsObject, browserObject, projectObject)

Constructor

vcsObject
  reference to the vcs object
browserObject
  reference to the project browser object
projectObject
  reference to the project object

#### LargefilesProjectBrowserHelper.__hgAddLargefiles

__hgAddLargefiles(mode)

Private slot to add the selected files as large files.

mode
  add mode (string one of 'normal' or 'large')

#### LargefilesProjectBrowserHelper.initMenus

initMenus()

Public method to generate the extension menus.

Note: Derived class must implement this method.

Return:
  dictionary of populated menu (dict of QMenu). The dict must have the keys 'mainMenu', 'multiMenu', 'backMenu', 'dirMenu' and 'dirMultiMenu'.

#### LargefilesProjectBrowserHelper.menuTitle

menuTitle()

Public method to get the menu title.

Note: Derived class must implement this method.

Return:
  title of the menu (string)

#### LargefilesProjectBrowserHelper.showExtensionMenu

showExtensionMenu(key, controlled)

Public method to prepare the extension menu for display.

key
  menu key (string, one of 'mainMenu', 'multiMenu', 'backMenu', 'dirMenu' or 'dirMultiMenu')
controlled
  flag indicating to prepare the menu for a version controlled entry or a non-version controlled entry (boolean)

Up